# Class JSVZipFileSequentialReader

java.lang.Object
java.io.Reader
java.io.BufferedReader
jspecview.common.JSVZipFileSequentialReader

All Implemented Interfaces:
  `Closeable, AutoCloseable, Readable, JSVZipReader`

public class JSVZipFileSequentialReader extends BufferedReader implements JSVZipReader
Reads the entire contents of a ZIP file as though it were one straight file Skips and entry that contains '\0' Allows for a moderate amount of buffered reading via mark()

Author:
  Bob Hanson hansonr@stolaf.edu

## Field Summary

### Fields inherited from class Reader

`lock`

## Constructor Summary

Constructors
Constructor
Description
`JSVZipFileSequentialReader()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`mark(int limit)`
`int`
`read(char[] chars, int chPt, int chLen)`
`String`
`readLine()`
`void`
`reset()`
`JSVZipFileSequentialReader`
`set(InputStream bis, String[] subFileList, String startCode)`

### Methods inherited from class BufferedReader

`lines, markSupported, read, ready, skip`

### Methods inherited from class Reader

`nullReader, of, read, read, readAllAsString, readAllLines, transferTo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSVZipFileSequentialReader

public JSVZipFileSequentialReader()

## Method Details

### set

public JSVZipFileSequentialReader set(InputStream bis, String[] subFileList, String startCode)

Specified by:
  `set` in interface `JSVZipReader`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `BufferedReader`

### mark

public void mark(int limit)

Overrides:
  `mark` in class `BufferedReader`

### reset

public void reset()

Overrides:
  `reset` in class `BufferedReader`

### read

public int read(char[] chars, int chPt, int chLen)

Overrides:
  `read` in class `BufferedReader`

### readLine

public String readLine()

Overrides:
  `readLine` in class `BufferedReader`